Bug 470250 - Review Request: docbook5-style-xsl - Norman Walsh's XSL stylesheets for DocBook 5
Review Request: docbook5-style-xsl - Norman Walsh's XSL stylesheets for DocBo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Marciniszyn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 08:48 EST by Ondrej Vasik
Modified: 2014-02-10 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmarcini: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
spec file for docbook5-style-xsl package. (2.92 KB, application/octet-stream)
2008-11-06 08:48 EST, Ondrej Vasik
no flags Details

  None (edit)
Description Ondrej Vasik 2008-11-06 08:48:00 EST
Created attachment 322712 [details]
spec file for docbook5-style-xsl package.

Description of problem:
Need review of docbook5-style-xsl package for Fedora. It is based on docbook-style-xsl spec file structure, but it is for namespace aware Docbook 5 only. Tarball could be downloaded from the address http://downloads.sourceforge.net/docbook/docbook-xsl-ns-1.74.0.tar.bz2 (specified in spec file as well).

Additional info:
Basic rpmlint checks done, Docbook 5 package is not yet in Fedora, I do plan to do the spec file and submit for review soon as well.
Comment 1 Dennis Gilmore 2008-11-06 21:23:21 EST
unsetting cvs flag.  you only need to set it to ? when this package is approved and there is action needed by a cvs admin.
Comment 2 Jason Tibbitts 2008-11-06 21:56:05 EST
I'm not sure why the fedora-review flag is set, either.  Nobody will ever see this package to review it if the flag is set.

Can this actually be reviewed without the docbook 5 package you mention?
Comment 3 Ondrej Vasik 2008-11-07 03:58:08 EST
Sorry for flags, I thought it is necessary to set them to ? for review and that they will be changed to + after review. 

Actually spec file and installation could be reviewed for sanity independently, although you may not be able to check functionality of those XSL stylesheets without Docbook5 DTD's (but I guess I will have docbook5-dtds spec for review soon - hopefully today or next week)
Comment 4 Ondrej Vasik 2008-11-12 11:22:42 EST
Just as a note, just added docbook5-schemas review request as  https://bugzilla.redhat.com/show_bug.cgi?id=471243 , so both basic docbook5 packages should be submitted for review at the moment.
Comment 5 Michal Marciniszyn 2009-01-12 10:42:58 EST
Spec file uses mixed spaces and tabs, please fix this issue
Comment 6 Michal Marciniszyn 2009-01-13 10:49:37 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
42f5f41ff5822c57242d9413e7f98aef  docbook-xsl-ns-1.74.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is NOT included in package.
redistributable without licence
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package docbook5-style-xsl-1.74.0-1.fc10 ->
Provides:
  docbook-xsl-ns = 1.74.0
  docbook5-style-xsl = 1.74.0-1.fc10
Requires:
  /bin/bash  
  /bin/sh  
  /bin/sh  
  /usr/bin/env  
  /usr/bin/perl  
  libxml2 >= 2.4.8
  libxml2 >= 2.4.8
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  xml-common >= 0.6.3-8
+ Not a GUI app.
APPROVED.
Comment 7 Ondrej Vasik 2009-01-13 11:45:10 EST
New Package CVS Request
=======================
Package Name: docbook5-style-xsl
Short Description: Norman Walsh's XSL stylesheets for DocBook 5.X
Owners: ovasik
Branches: F-10
InitialCC:
Comment 8 Kevin Fenzi 2009-01-13 15:25:38 EST
cvs done.
Comment 9 Fedora Update System 2009-01-14 10:55:20 EST
docbook5-style-xsl-1.74.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/docbook5-style-xsl-1.74.0-1.fc10
Comment 10 Fedora Update System 2009-01-14 21:59:14 EST
docbook5-style-xsl-1.74.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.